Bug 704283 (CVE-2011-0418) - CVE-2011-0418 pure-ftpd: GLOB_BRACE|GLOB_LIMIT memory exhaustion
Summary: CVE-2011-0418 pure-ftpd: GLOB_BRACE|GLOB_LIMIT memory exhaustion
Status: CLOSED ERRATA
Alias: CVE-2011-0418
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110502,reported=20110504,sou...
Keywords: Security
Depends On: 704286 704285
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-12 16:57 UTC by Vincent Danen
Modified: 2019-06-08 18:49 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-05 18:07:32 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-05-12 16:57:18 UTC
Multiple libc/glob(3) flaws were reported [1] that affect various *BSD libc implementations.  In particular, globs containing braces could lead to resource exhaustion.

One such vulnerable application is Pure-FTPd.  This has been corrected in upstream version 1.0.32, where support for braces expansion in directory listings was disabled.

[1] http://securityreason.com/achievement_securityalert/97
[2] http://www.pureftpd.org/project/pure-ftpd/news

Comment 1 Vincent Danen 2011-05-12 17:02:19 UTC
Created pure-ftpd tracking bugs for this issue

Affects: fedora-all [bug 704285]
Affects: epel-all [bug 704286]

Comment 2 Vincent Danen 2012-05-16 14:41:24 UTC
Fedora currently ships the fixed 1.0.32 in each supported release.

EPEL5 is not corrected (1.0.29) and EPEL6 is not corrected (1.0.30).


Note You need to log in before you can comment on or make changes to this bug.